<?php


################################################################################
# $Id: check_mk-sonicwall_vpn.php 1 2012-07-09 16:09:92Z vkertesz $
# Descr: SonicWall VPN monitor check_mk PNP Template
# $Author: vkertesz $
# $Date: 2012-07-09 17:09:22 +0100 (Mo, 09 Jul 2012) $
# $Rev: 1 $
################################################################################

# Change multiplier and labels
$unit = "B"; 
$unit_multiplier = 1;
$vertical_label_name = "MByte/sec";

$bandwidth = $MAX[1]  * $unit_multiplier;

# Horizontal lines
$mega        = 1024.0 * 1024.0;
$mBandwidthH = $bandwidth / $mega;

# Break down bandwidth, warn and crit
$bwuom = ' ';
$base = 1000;
if($bandwidth > $base * $base * $base) {
        $bandwidth /= $base * $base * $base;
        $bwuom = 'G';
} elseif ($bandwidth > $base * $base) {
        $bandwidth /= $base * $base;
        $bwuom = 'M';
} elseif ($bandwidth > $base) {
        $bandwidth /= $base;
        $bwuom = 'k';
}

if ($mBandwidthH < 10)
   $range = $mBandwidthH;
else
   $range = 10.0;

$ds_name[1] = "SonicWall VPN monitor";
$opt[1] = "--vertical-label \"$vertical_label_name\" -l -$range -u $range -X0 -b 1024 --title \"Used bandwidth $hostname / $servicedesc\" ";
$def[1] = 
  "HRULE:0#c0c0c0 ";
  $def[1] .= "DEF:encbytes=$RRDFILE[1]:$DS[1]:MAX ".
  "DEF:decbytes=$RRDFILE[2]:$DS[2]:MAX ".
  "CDEF:enctraffic=encbytes,$unit_multiplier,* ".
  "CDEF:dectraffic=decbytes,$unit_multiplier,* ".
  "CDEF:encmb=enctraffic,1048576,/ ".
  "CDEF:decmb=dectraffic,1048576,/ ".
  "CDEF:minusencmb=0,encmb,- ".
  "AREA:decmb#00e060:\"decrypted            \" ".
  "GPRINT:dectraffic:LAST:\"%6.1lf %s$unit/s last\" ".
  "GPRINT:dectraffic:AVERAGE:\"%6.1lf %s$unit/s avg\" ".
  "GPRINT:dectraffic:MAX:\"%6.1lf %s$unit/s max\\n\" ".
  "AREA:minusencmb#0080e0:\"encrypted            \" ".
  "GPRINT:enctraffic:LAST:\"%6.1lf %s$unit/s last\" ".
  "GPRINT:enctraffic:AVERAGE:\"%6.1lf %s$unit/s avg\" ".
  "GPRINT:enctraffic:MAX:\"%6.1lf %s$unit/s max\\n\" ";

?>

